Subject: Re: [PATCHv3 7/8] fast-import: Add support for importing commit notes

From: Johan Herland <[email-masked]>
Date: Thu, 30 Jul 2009 03:29:48 +0200

On Wednesday 29 July 2009, Shawn O. Pearce wrote:
> Johan Herland <[email-masked]> wrote:
> > +static void note_change_n(struct branch *b)
> > +{
>
> ...
>
> > +	tree_content_set(&b->branch_tree, sha1_to_hex(commit_sha1), sha1,
> > +		S_IFREG | 0644, NULL);
>
> I thought you wanted to use the note code to handle the name
> formatting here?

Yes, I do, as soon as the notes code knows how to format/write note names 
(which I plan to tackle after nailing the _reading_ part of the code).

Have fun! :)

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net